<?php



// Define Directory Constants 

define('CADEN_FRAME', TEMPLATEPATH . '/framework');

define('CADEN_ADMIN', CADEN_FRAME . '/admin');

define('CADEN_FUNCTIONS', CADEN_FRAME . '/functions');

define('CADEN_JS', get_template_directory_uri() . '/js');





// Load Admin Options

require_once(CADEN_ADMIN . '/options.php');



// Load Admin Interface

require_once(CADEN_ADMIN . '/theme.php');



// Load Shortcodes 

require_once(CADEN_FUNCTIONS . '/shortcodes.php');



// Ploicy
require_once(CADEN_ADMIN . '/types/policy.php');



// Meta Boxes for all post types

require_once(CADEN_ADMIN . '/types/meta_box.php');

require_once(CADEN_ADMIN . '/types/images_meta_box.php');



// Load Header Javascript Files

require_once(CADEN_FUNCTIONS . '/scripts.php');





// Load Custom Widgets

require_once(CADEN_FUNCTIONS . '/widgets.php');
// Load Custom post type
//require_once(CADEN_ADMIN . '/types/pet-quotes.php');


// Links management

//require_once(CADEN_ADMIN . '/types/procedures.php');





// Add support for thumbnails and menus

add_theme_support( 'post-thumbnails' );

add_theme_support( 'menus' );



// Set content width

if ( ! isset( $content_width ) ) $content_width = 824;



/*************************** Register the nav menu in the header */

register_nav_menus( array(

		'menu' => __( 'Navigation', 'menu' ),

		'menu' => __( 'Footer Navigation', 'menu' )

) );



/*************************** Exclude Portfolio/Sliders from search */

function excludePages($query) {

if ($query->is_search) {

	$query->set('post_type', 'post');

}

	return $query; 

} 

add_filter('pre_get_posts','excludePages'); 



/*************************** Register sidebar */

if ( function_exists('register_sidebar') ) {

	register_sidebar(array('name' => 'Right Sidebar','before_widget' => '<div class="widget">','after_widget' => '</div>','before_title' => '<h3>','after_title' => '</h3><div class="sidebar_divider"></div>'));

}



function new_excerpt_more($more) {

	global $post;

	$show_readmore = get_option('show_readmore');

	$read_more = get_option('read_more');

	if(is_page_template('blog-left.php')) { $left = "-left"; }

	if($read_more == "") { $read_more = "Read More"; }

	if(!$show_readmore) {

		return '...<div class="read_more'.$left.'"><a href="'. get_permalink($post->ID) . '">'.$read_more.'</a></div>';

	} else {

		return '...';

	}

}

add_filter('excerpt_more', 'new_excerpt_more');





function new_excerpt_length($length) {

	$excerpt_length = get_option('excerpt_length');

	if($excerpt_length == "") { $excerpt_length = "55"; }

	return $excerpt_length;

}

add_filter('excerpt_length', 'new_excerpt_length');

add_theme_support('automatic-feed-links');

add_image_size( 'slide-banner', 900, 360, true );

add_action('do_meta_boxes', 'customposttype_image_box');



function customposttype_image_box() {

	remove_meta_box( 'postimagediv', 'slider', 'side' );

	add_meta_box('postimagediv', __('Slider Image Size 900px x 360px '), 'post_thumbnail_meta_box', 'slider', 'normal', 'high');
}